package com.qmth.cet.plug.start;

import com.qmth.cet.plug.service.LogicService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Objects;

/**
 * @Description: 服务启动时初始化运行，哪个微服务模块需要则拿此模版去用
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/3
 */
@Component
public class StartRunning implements CommandLineRunner {
    private final static Logger log = LoggerFactory.getLogger(StartRunning.class);

    @Resource
    LogicService logicService;

    @Value("${com.qmth.interval.time}")
    String intervalTime;

    @Override
    public void run(String... args) throws Exception {
        log.info("服务器启动时执行 start");
        intervalTime = Objects.isNull(intervalTime) || Objects.equals(intervalTime, "") ? "0" : intervalTime;
        int intervalCount = Integer.parseInt(intervalTime);
        if (intervalCount == 0) {
            logicService.execLogic();
        } else {
            for (; ; ) {
                logicService.execLogic();
                Thread.sleep(1000 * intervalCount);
            }
        }
    }
}
